// Sample program to control the RGB light ring/string with WS2812 controller
// using the various light patterns defined in WS2812patterns.h
// and the default blocking delay function

#define DI_PIN 8       // Digital pin that the DI signal is connected to
#define LED_COUNT 150  // Number of LEDs in the ring or strip
//#define DI_PIN 12       // Digital pin that the DI signal is connected to
//#define LED_COUNT 24  // Number of LEDs in the ring or strip
#include <WS2812.h>
WS2812 leds = WS2812(LED_COUNT, DI_PIN, NEO_GRB + NEO_KHZ800);
#include "WS2812patterns.h"

// Do delay without using the delay() function
void nonblockingDelay(int wait) {
  unsigned long start = millis();
  while (millis() - start < wait) { // compare duration will not have rollover problem
    //flashActivityLed();
    //server.handleClient();
    yield();
  }
}

void setup() {
  Serial.begin(115200);
  randomSeed(analogRead(0));
  leds.begin();      // Call this to start up the LED strip.
  leds.clear();      // turns all LEDs off...
  leds.setBrightness(100);  // 0=off; 255=full bright

//  solid(leds, Color(0,0,100),  1,20, 5000);   // (leds, nonblockingDelay, color, startPixel, endPixel, onTime)
//  solid(leds, 0, 1,20, 5000);
//  allOn(leds, Color(0,0,100), 5000);
//  allOn(leds, 0, 5000);   // (leds, nonblockingDelay, color, onTime)
//  rainbow(leds);   // (leds, nonblockingDelay, wait, times)
  movingBlocks(leds, 0,0,0);   // (leds, nonblockingDelay, color, wait, onTime)
//  movingBlocks2(leds, nonblockingDelay, 0,0);   // (leds, nonblockingDelay, wait, onTime)
//  theaterChase(leds);   // (leds, nonblockingDelay, color, wait, times)
//  theaterChaseRainbow(leds, nonblockingDelay);   // (leds, nonblockingDelay, wait, times)
//  wipe(leds, 0,0,0,1);   // (leds, nonblockingDelay, color, wait, onTime, segments)
//  wipe(leds, 0,0,0,6);   // (leds, nonblockingDelay, color, wait, onTime, segments)
//  discoLights(leds);   // (leds, nonblockingDelay, blockSize, wait, times)
//  moveIn(leds);   // (leds, nonblockingDelay, blockSize, wait, times)
//  flash(leds);   // (leds, nonblockingDelay, color, wait, times)
//  fadeIn(leds);   // (leds, nonblockingDelay, color, wait, maxBright)
//  fadeOut(leds);  // (leds, nonblockingDelay, color, wait, maxBright)
//  fade(leds);  // (leds, nonblockingDelay, color, wait, times, maxBright)
//  fadingRainbow(leds);  // (leds, nonblockingDelay, color, wait, times)
//  cyclone(leds, 0,20,0,5);  // (leds, nonblockingDelay, color, wait, times, segments)
//  single(leds);  // (leds, nonblockingDelay, color, wait, onTime)
//  sparkles(leds);
//  sequence(leds);   // (leds, nonblockingDelay, onTime)
  allOff();
}


void loop() {
}
